org.apache.any23.plugin.extractor.openie

## Class OpenIEExtractor

- java.lang.Object
- - org.apache.any23.plugin.extractor.openie.OpenIEExtractor

- All Implemented Interfaces:
    Extractor<Document>, Extractor.TagSoupDOMExtractor

      public class OpenIEExtractor
      extends Object
      implements Extractor.TagSoupDOMExtractor

  An OpenIE extractor able to generate RDF statements from sentences representing relations in the text.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenIEExtractor()` default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtractorDescription` | `getDescription()` Returns a `ExtractorDescription` of this extractor.
    `void` | `run(ExtractionParameters extractionParameters, ExtractionContext context, Document in, ExtractionResult out)` Executes the extractor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenIEExtractor

          public OpenIEExtractor()

      default constructor

  - ### Method Detail

    - #### getDescription

          public ExtractorDescription getDescription()

      Description copied from interface: `Extractor`
      Returns a `ExtractorDescription` of this extractor.
      Specified by:
        `getDescription` in interface `Extractor<Document>`
      Returns:
        the object representing the extractor description.
      See Also:
        `Extractor.getDescription()`

    - #### run

          public void run(ExtractionParameters extractionParameters,
                          ExtractionContext context,
                          Document in,
                          ExtractionResult out)
                   throws IOException,
                          ExtractionException

      Description copied from interface: `Extractor`
      Executes the extractor. Will be invoked only once, extractors are not reusable.
      Specified by:
        `run` in interface `Extractor<Document>`
      Parameters:
        `extractionParameters` - the parameters to be applied during the extraction.
        `context` - The document context.
        `in` - The extractor input data.
        `out` - the collector for the extracted data.
      Throws:
        `IOException` - On error while reading from the input stream.
        `ExtractionException` - On other error, such as parse errors.

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.